RP_ADD_TIME_NOISE(3)

FUNCTION
rp_add_time_noise - Add time-based entropy to a randpool.

SYNOPSIS
#include <karma_rp.h>

void rp_add_time_noise

(RandPool rp)

DESCRIPTION
This routine will add bytes of data (entropy) into a pool, derived from the system time. It is suggested that this routine be called by various callback routines to assist in the addition of entropy.

rp  The random pool.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/